com.verisign.epp.codec.persreg

## Class EPPPersRegCreateErrData

- java.lang.Object
- - com.verisign.epp.codec.persreg.EPPPersRegCreateErrData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPPersRegCreateErrData
      extends java.lang.Object
      implements EPPCodecComponent

  Personal Registration <creErrData> extension element to an error EPP Create Response. The error code and message is currently associated with an EPP response code of 2305 "Object association prohibits operation", and can have one of the `EPPPersRegCreateErrData` `ERROR` constant values. Optionally, a "lang" attribute can be provide to indicate the language. The default value for "lang" is "en" (English).
  Version:
    $Revision: 1.1.1.1 $
  Author:
    $Author: jim $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_LANG` The default language of the error message "en".
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPPersRegCreateErrData`.
    `static int` | `ERROR_CS_EXISTS` Corresponding service exists
    `static int` | `ERROR_DEFREG_EXISTS` Conflicting defensive registration exists

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPPersRegCreateErrData()` Default constructor.
    `EPPPersRegCreateErrData(int aCode)` Constructor that sets the error code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPersRegCreateErrData` with this instance.
    `int` | `getCode()` Gets the error code.
    `java.lang.String` | `getLang()` Gets the error message language.
    `java.lang.String` | `getMessage()` Gets the error message.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootElm()` Gets the root element name.
    `void` | `setCode(int aCode)` Sets the error code.
    `void` | `setCode(int aCode, boolean aUseDefaultMessage)` Sets the error code and the default "en" message associated with the error code if `aUserDefaultMessage` is set to `true`.
    `void` | `setLang(java.lang.String aLang)` Sets the error message language.
    `void` | `setMessage(java.lang.String aMessage)` Sets the error message.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_LANG

          public static final java.lang.String DEFAULT_LANG

      The default language of the error message "en".
      See Also:
        Constant Field Values

    - #### ERROR_CS_EXISTS

          public static final int ERROR_CS_EXISTS

      Corresponding service exists
      See Also:
        Constant Field Values

    - #### ERROR_DEFREG_EXISTS

          public static final int ERROR_DEFREG_EXISTS

      Conflicting defensive registration exists
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPPersRegCreateErrData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPPersRegCreateErrData

          public EPPPersRegCreateErrData()

      Default constructor. The error code is set to -1.

    - #### EPPPersRegCreateErrData

          public EPPPersRegCreateErrData(int aCode)

      Constructor that sets the error code. Use of the the `ERROR` constants for the error code.
      Parameters:
        `aCode` - Error code

  - ### Method Detail

    - #### getCode

          public int getCode()

      Gets the error code.
      Returns:
        Error code that should be one of the `ERROR` constant values.

    - #### setCode

          public void setCode(int aCode)

      Sets the error code.
      Parameters:
        `aCode` - Error code that should be one of the `ERROR` constant values.

    - #### setCode

          public void setCode(int aCode,
                              boolean aUseDefaultMessage)

      Sets the error code and the default "en" message associated with the error code if `aUserDefaultMessage` is set to `true`.
      Parameters:
        `aCode` - Error code that should be one of the `ERROR` constant values.
        `aUseDefaultMessage` - Use the default en message associated with aCode?

    - #### getMessage

          public java.lang.String getMessage()

      Gets the error message.
      Returns:
        Error message associated with the error code in the specified language.

    - #### setMessage

          public void setMessage(java.lang.String aMessage)

      Sets the error message. This should only be called if the default "en" language message is not valid.
      Parameters:
        `aMessage` - Error message associated with the error code in the specified language.

    - #### getLang

          public java.lang.String getLang()

      Gets the error message language. The Language must be structured as documented in [RFC1766].
      Returns:
        Error message language.

    - #### setLang

          public void setLang(java.lang.String aLang)

      Sets the error message language. The Language must be structured as documented in [RFC1766].
      Parameters:
        `aLang` - DOCUMENT ME!

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attributeis appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPPersRegCreate`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPPersRegCreateErrData` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPPersRegCreateErrData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getRootElm

          protected java.lang.String getRootElm()

      Gets the root element name.
      Returns:
        "persReg:creErrData"

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.